import { Injector, Type } from '@angular/core';
import { NodeViewRenderer } from '@tiptap/core';
import type { Decoration } from 'prosemirror-view';
import type { Node as ProseMirrorNode } from 'prosemirror-model';
import { AngularNodeViewComponent } from './AngularRenderer';
interface AngularNodeViewRendererOptions {
    stopEvent?: ((event: Event) => boolean) | null;
    update?: ((node: ProseMirrorNode, decorations: Decoration[]) => boolean) | null;
    injector: Injector;
}
export declare const AngularNodeViewRenderer: (component: Type<AngularNodeViewComponent>, options: AngularNodeViewRendererOptions) => NodeViewRenderer;
export {};
